/***********************
* Adobe Edge Animate Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 973, function(sym, e) {
         sym.getSymbol("mascot_1_animate").getSymbol("mount_1").play("move");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5000, function(sym, e) {
         sym.getSymbol("mascot_1_animate").getSymbol("mount_1").stop(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6500, function(sym, e) {
         sym.getSymbol("mascot_animate2").getSymbol("mouth_animate2").play("move");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 11000, function(sym, e) {
         sym.getSymbol("mascot_animate2").getSymbol("mouth_animate2").stop(0);

      });
      //Edge binding end

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         // insert code to be run when the symbol is created here
         yepnope({
             load: [
         		"js/energize.js"
         	],
         	complete: function () {
              console.log("allscript complete");
              sym.play();
           }
         });

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'eye_animate'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("eye_animate");
   //Edge symbol end:'eye_animate'

   //=========================================================
   
   //Edge symbol: 'mascot_1_animate'
   (function(symbolName) {   
   
   })("mascot_1_animate");
   //Edge symbol end:'mascot_1_animate'

   //=========================================================
   
   //Edge symbol: 'mount_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1250, function(sym, e) {
         // Play the timeline at a label or specific time. For example:
         // sym.play(500); or sym.play("myLabel");
         sym.play("move");

      });
      //Edge binding end

   })("mount_1");
   //Edge symbol end:'mount_1'

   //=========================================================
   
   //Edge symbol: 'mascot_animate2'
   (function(symbolName) {   
   
   })("mascot_animate2");
   //Edge symbol end:'mascot_animate2'

   //=========================================================
   
   //Edge symbol: 'mouth_animate2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2500, function(sym, e) {
         // Play the timeline at a label or specific time. For example:
         // sym.play(500); or sym.play("myLabel");
         sym.play("move");

      });
      //Edge binding end

   })("mouth_animate2");
   //Edge symbol end:'mouth_animate2'

})(jQuery, AdobeEdge, "EDGE-1073676");